> ## Documentation Index
> Fetch the complete documentation index at: https://rollout.mintlify.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Property

> PUT /properties/{id}

`PUT /properties/{id}`

Base URL: `https://los.universal.rollout.com/api`

## Parameters

| Name | In   | Type   | Required |
| ---- | ---- | ------ | -------- |
| `id` | path | string | Yes      |

## Responses

| Status | Description |
| ------ | ----------- |
| `200`  | OK          |
| `400`  | Bad Request |
| `404`  | Not Found   |
| `409`  | Conflict    |

## OpenAPI Source

`/openapi/los.json PUT /properties/{id}`


## OpenAPI

````yaml /openapi/los.json PUT /properties/{id}
openapi: 3.0.3
info:
  title: Universal LOS API Documentation
  description: Development documentation
  version: '1.0'
servers:
  - url: https://los.universal.rollout.com/api
security: []
paths:
  /properties/{id}:
    put:
      tags:
        - Properties
      summary: Update Property
      operationId: put_properties_id
      parameters:
        - schema:
            type: string
          in: path
          name: id
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                personId:
                  anyOf:
                    - type: string
                  nullable: true
                address:
                  type: object
                  properties:
                    type:
                      type: string
                    street:
                      type: string
                    city:
                      type: string
                    state:
                      type: string
                    code:
                      type: string
                    country:
                      type: string
                  required:
                    - type
                    - street
                    - city
                    - state
                    - code
                    - country
                type:
                  type: string
                name:
                  type: string
                mlsNumber:
                  type: string
                purchasePrice:
                  type: number
                currentValue:
                  type: number
                appraisedValue:
                  type: number
                appraisalDate:
                  type: string
                occupancyType:
                  type: string
                zoning:
                  type: string
                propertyCharacteristics:
                  type: object
                  additionalProperties: {}
                insured:
                  anyOf:
                    - type: boolean
                  nullable: true
                insuranceProvider:
                  type: string
                insurancePolicyNumber:
                  type: string
              required:
                - insured
          multipart/form-data:
            schema:
              type: object
              properties:
                personId:
                  anyOf:
                    - type: string
                  nullable: true
                address:
                  type: object
                  properties:
                    type:
                      type: string
                    street:
                      type: string
                    city:
                      type: string
                    state:
                      type: string
                    code:
                      type: string
                    country:
                      type: string
                  required:
                    - type
                    - street
                    - city
                    - state
                    - code
                    - country
                type:
                  type: string
                name:
                  type: string
                mlsNumber:
                  type: string
                purchasePrice:
                  type: number
                currentValue:
                  type: number
                appraisedValue:
                  type: number
                appraisalDate:
                  type: string
                occupancyType:
                  type: string
                zoning:
                  type: string
                propertyCharacteristics:
                  type: object
                  additionalProperties: {}
                insured:
                  anyOf:
                    - type: boolean
                  nullable: true
                insuranceProvider:
                  type: string
                insurancePolicyNumber:
                  type: string
              required:
                - insured
          text/plain:
            schema:
              type: object
              properties:
                personId:
                  anyOf:
                    - type: string
                  nullable: true
                address:
                  type: object
                  properties:
                    type:
                      type: string
                    street:
                      type: string
                    city:
                      type: string
                    state:
                      type: string
                    code:
                      type: string
                    country:
                      type: string
                  required:
                    - type
                    - street
                    - city
                    - state
                    - code
                    - country
                type:
                  type: string
                name:
                  type: string
                mlsNumber:
                  type: string
                purchasePrice:
                  type: number
                currentValue:
                  type: number
                appraisedValue:
                  type: number
                appraisalDate:
                  type: string
                occupancyType:
                  type: string
                zoning:
                  type: string
                propertyCharacteristics:
                  type: object
                  additionalProperties: {}
                insured:
                  anyOf:
                    - type: boolean
                  nullable: true
                insuranceProvider:
                  type: string
                insurancePolicyNumber:
                  type: string
              required:
                - insured
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  address:
                    type: object
                    properties:
                      type:
                        type: string
                      street:
                        type: string
                      city:
                        type: string
                      state:
                        type: string
                      code:
                        type: string
                    required:
                      - type
                      - street
                      - city
                      - state
                      - code
                  type:
                    type: string
                  name:
                    type: string
                  mlsNumber:
                    type: string
                  purchasePrice:
                    anyOf:
                      - type: number
                    nullable: true
                  currentValue:
                    type: number
                  appraisedValue:
                    anyOf:
                      - type: number
                    nullable: true
                  appraisalDate:
                    anyOf:
                      - type: string
                    nullable: true
                  occupancyType:
                    type: string
                  zoning:
                    type: string
                  propertyCharacteristics:
                    anyOf:
                      - type: object
                        additionalProperties: {}
                    nullable: true
                  insured:
                    anyOf:
                      - type: boolean
                    nullable: true
                  insuranceProvider:
                    type: string
                  insurancePolicyNumber:
                    type: string
                  created:
                    anyOf:
                      - type: string
                    nullable: true
                  updated:
                    anyOf:
                      - type: string
                    nullable: true
                  rolloutUpdated:
                    type: string
                  originalIds:
                    type: object
                    additionalProperties:
                      anyOf:
                        - type: number
                        - type: string
                  original:
                    type: object
                    additionalProperties:
                      type: object
                      additionalProperties: {}
                required:
                  - id
                  - address
                  - type
                  - name
                  - mlsNumber
                  - purchasePrice
                  - currentValue
                  - appraisedValue
                  - appraisalDate
                  - occupancyType
                  - zoning
                  - propertyCharacteristics
                  - insured
                  - insuranceProvider
                  - insurancePolicyNumber
                  - created
                  - updated
                  - rolloutUpdated
                  - originalIds
                  - original
            multipart/form-data:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  address:
                    type: object
                    properties:
                      type:
                        type: string
                      street:
                        type: string
                      city:
                        type: string
                      state:
                        type: string
                      code:
                        type: string
                    required:
                      - type
                      - street
                      - city
                      - state
                      - code
                  type:
                    type: string
                  name:
                    type: string
                  mlsNumber:
                    type: string
                  purchasePrice:
                    anyOf:
                      - type: number
                    nullable: true
                  currentValue:
                    type: number
                  appraisedValue:
                    anyOf:
                      - type: number
                    nullable: true
                  appraisalDate:
                    anyOf:
                      - type: string
                    nullable: true
                  occupancyType:
                    type: string
                  zoning:
                    type: string
                  propertyCharacteristics:
                    anyOf:
                      - type: object
                        additionalProperties: {}
                    nullable: true
                  insured:
                    anyOf:
                      - type: boolean
                    nullable: true
                  insuranceProvider:
                    type: string
                  insurancePolicyNumber:
                    type: string
                  created:
                    anyOf:
                      - type: string
                    nullable: true
                  updated:
                    anyOf:
                      - type: string
                    nullable: true
                  rolloutUpdated:
                    type: string
                  originalIds:
                    type: object
                    additionalProperties:
                      anyOf:
                        - type: number
                        - type: string
                  original:
                    type: object
                    additionalProperties:
                      type: object
                      additionalProperties: {}
                required:
                  - id
                  - address
                  - type
                  - name
                  - mlsNumber
                  - purchasePrice
                  - currentValue
                  - appraisedValue
                  - appraisalDate
                  - occupancyType
                  - zoning
                  - propertyCharacteristics
                  - insured
                  - insuranceProvider
                  - insurancePolicyNumber
                  - created
                  - updated
                  - rolloutUpdated
                  - originalIds
                  - original
            text/plain:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  address:
                    type: object
                    properties:
                      type:
                        type: string
                      street:
                        type: string
                      city:
                        type: string
                      state:
                        type: string
                      code:
                        type: string
                    required:
                      - type
                      - street
                      - city
                      - state
                      - code
                  type:
                    type: string
                  name:
                    type: string
                  mlsNumber:
                    type: string
                  purchasePrice:
                    anyOf:
                      - type: number
                    nullable: true
                  currentValue:
                    type: number
                  appraisedValue:
                    anyOf:
                      - type: number
                    nullable: true
                  appraisalDate:
                    anyOf:
                      - type: string
                    nullable: true
                  occupancyType:
                    type: string
                  zoning:
                    type: string
                  propertyCharacteristics:
                    anyOf:
                      - type: object
                        additionalProperties: {}
                    nullable: true
                  insured:
                    anyOf:
                      - type: boolean
                    nullable: true
                  insuranceProvider:
                    type: string
                  insurancePolicyNumber:
                    type: string
                  created:
                    anyOf:
                      - type: string
                    nullable: true
                  updated:
                    anyOf:
                      - type: string
                    nullable: true
                  rolloutUpdated:
                    type: string
                  originalIds:
                    type: object
                    additionalProperties:
                      anyOf:
                        - type: number
                        - type: string
                  original:
                    type: object
                    additionalProperties:
                      type: object
                      additionalProperties: {}
                required:
                  - id
                  - address
                  - type
                  - name
                  - mlsNumber
                  - purchasePrice
                  - currentValue
                  - appraisedValue
                  - appraisalDate
                  - occupancyType
                  - zoning
                  - propertyCharacteristics
                  - insured
                  - insuranceProvider
                  - insurancePolicyNumber
                  - created
                  - updated
                  - rolloutUpdated
                  - originalIds
                  - original
          description: OK
        '400':
          content:
            application/json:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            multipart/form-data:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            text/plain:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
          description: Bad Request
        '404':
          content:
            application/json:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            multipart/form-data:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            text/plain:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
          description: Not Found
        '409':
          content:
            application/json:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            multipart/form-data:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            text/plain:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
          description: Conflict
      security:
        - jwt: []
          credential_id: []
components: {}

````